Subject: Re: [Simple] Presence Data Model : Device - Service Realations

From: Jonathan Rosenberg <[email-masked]>
Date: Sat, 08 Jan 2005 00:57:44 -0500

responses inline.

Nevo Oded wrote:

> Hi
> 
> The draft-ietf-simple-presence-data-model-01 define many to many
> 
> Realation between the presentity services to the presentity devices.
> 
> A service can be related to list of devices as defined in the service 
> schema.
> 
> My questions are:
> 
> Does the presence status of a service which have a list of devices is 
> synchronize
> 
> In all the devices the service is execute on?

If a service runs on multiple devices, there is still just one <tuple> 
identifying the service, and it has one status.

> 
> When one of the devices in the service list is shut down ( when all 
> other devices are on)
> 
> how does it should reflect on the service presence status?

This is something for the compositor to figure out. It could choose to 
set the status of all services on that device to CLOSED.

> 
> Does the device list of a service is just a list of all the presentity
> 
> Devices that the service installed on, and the presence status represents
> 
> Only the status of the communication mean that could be reached through
> 
> The uri in the contact attribute?

Yes.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple